Mailinglist Archive: opensuse-factory (914 mails)

< Previous Next >
[opensuse-factory] New Tumbleweed snapshot 20170615 released!

Please note that this mail was generated by a script.
The described changes are computed based on the x86_64 DVD.
The full online repo contains too many changes to be listed here.

Please check the known defects of this snapshot before upgrading:
https://openqa.opensuse.org/tests/overview?distri=opensuse&groupid=1&version=Tumbleweed&build=20170615

When you reply to report some issues, make sure to change the subject.
It is not helpful to keep the release announcement subject in a thread
while discussing a specific problem.

Packages changed:
akonadi-import-wizard (17.04.1 -> 17.04.2)
analitza (17.04.1 -> 17.04.2)
blinken (17.04.1 -> 17.04.2)
bovo (17.04.1 -> 17.04.2)
brltty
cervisia (17.04.1 -> 17.04.2)
ffmpegthumbs (17.04.1 -> 17.04.2)
gcc
juk (17.04.1 -> 17.04.2)
kalarm (17.04.1 -> 17.04.2)
kalgebra (17.04.1 -> 17.04.2)
kalzium (17.04.1 -> 17.04.2)
kanagram (17.04.1 -> 17.04.2)
katomic (17.04.1 -> 17.04.2)
kblackbox (17.04.1 -> 17.04.2)
kblocks (17.04.1 -> 17.04.2)
kbounce (17.04.1 -> 17.04.2)
kbreakout (17.04.1 -> 17.04.2)
kbruch (17.04.1 -> 17.04.2)
kcachegrind (17.04.1 -> 17.04.2)
kcron (17.04.1 -> 17.04.2)
kde-l10n (17.04.1 -> 17.04.2)
kde-print-manager (17.04.1 -> 17.04.2)
kdeedu-data (17.04.1 -> 17.04.2)
kdegraphics-thumbnailers (17.04.1 -> 17.04.2)
kdesdk4-scripts (17.04.1 -> 17.04.2)
kdf (17.04.1 -> 17.04.2)
kdiamond (17.04.1 -> 17.04.2)
keditbookmarks (17.04.1 -> 17.04.2)
kfilereplace (17.04.1 -> 17.04.2)
kgeography (17.04.1 -> 17.04.2)
kgoldrunner (17.04.1 -> 17.04.2)
khangman (17.04.1 -> 17.04.2)
kig (17.04.1 -> 17.04.2)
kimagemapeditor (17.04.1 -> 17.04.2)
kiriki (17.04.1 -> 17.04.2)
kiten (17.04.1 -> 17.04.2)
kjumpingcube (17.04.1 -> 17.04.2)
klettres (17.04.1 -> 17.04.2)
klinkstatus (17.04.1 -> 17.04.2)
kmahjongg (17.04.1 -> 17.04.2)
kmines (17.04.1 -> 17.04.2)
kmouth (17.04.1 -> 17.04.2)
kmplot (17.04.1 -> 17.04.2)
knavalbattle (17.04.1 -> 17.04.2)
knetwalk (17.04.1 -> 17.04.2)
kolf (17.04.1 -> 17.04.2)
kollision (17.04.1 -> 17.04.2)
konquest (17.04.1 -> 17.04.2)
kpat (17.04.1 -> 17.04.2)
kppp (17.04.1 -> 17.04.2)
krb5
kremotecontrol (17.04.1 -> 17.04.2)
kreversi (17.04.1 -> 17.04.2)
kscd (17.04.1 -> 17.04.2)
kshisen (17.04.1 -> 17.04.2)
ksirk (17.04.1 -> 17.04.2)
kspaceduel (17.04.1 -> 17.04.2)
ksquares (17.04.1 -> 17.04.2)
ksudoku (17.04.1 -> 17.04.2)
ksystemlog (17.04.1 -> 17.04.2)
kteatime (17.04.1 -> 17.04.2)
ktimer (17.04.1 -> 17.04.2)
ktouch (17.04.1 -> 17.04.2)
ktuberling (17.04.1 -> 17.04.2)
kturtle (17.04.1 -> 17.04.2)
kubrick (17.04.1 -> 17.04.2)
kwordquiz (17.04.1 -> 17.04.2)
libkdegames (17.04.1 -> 17.04.2)
libkeduvocdocument (17.04.1 -> 17.04.2)
libkmahjongg (17.04.1 -> 17.04.2)
libsndfile
lokalize (17.04.1 -> 17.04.2)
lskat (17.04.1 -> 17.04.2)
mbox-importer (17.04.1 -> 17.04.2)
okteta (17.04.1 -> 17.04.2)
parley (17.04.1 -> 17.04.2)
perl-DateTime (1.36 -> 1.43)
pim-data-exporter (17.04.1 -> 17.04.2)
pim-sieve-editor (17.04.1 -> 17.04.2)
poxml (17.04.1 -> 17.04.2)
step (17.04.1 -> 17.04.2)
umbrello (17.04.1 -> 17.04.2)
virt-manager
vsftpd
xmms2

=== Details ===

==== akonadi-import-wizard ====
Version update (17.04.1 -> 17.04.2)

- Update to 17.04.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
* None

==== analitza ====
Version update (17.04.1 -> 17.04.2)
Subpackages: analitza-lang libAnalitza5

- Update to 17.04.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
* None

==== blinken ====
Version update (17.04.1 -> 17.04.2)
Subpackages: blinken-lang

- Update to 17.04.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
* None

==== bovo ====
Version update (17.04.1 -> 17.04.2)
Subpackages: bovo-lang

- Update to 17.04.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
* None

==== brltty ====
Subpackages: brltty-driver-at-spi2 brltty-driver-brlapi brltty-driver-espeak
brltty-driver-speech-dispatcher brltty-driver-xwindow libbrlapi0_6
python3-brlapi xbrlapi

- Require java-devel >= 1.6 to not fail during bootstrapping

==== cervisia ====
Version update (17.04.1 -> 17.04.2)
Subpackages: cervisia-lang

- Update to 17.04.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
* None

==== ffmpegthumbs ====
Version update (17.04.1 -> 17.04.2)

- Update to 17.04.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
* None

==== gcc ====
Subpackages: cpp gcc-c++ gcc-fortran gcc-info gcc-objc libstdc++-devel

- Fix gcc-devel guard to use %sle_version. [bnc#1043590]
- Guard gcc-devel so it is only built on Tumbleweed.
- Remove bogus link to versioned g++.info file which doesn't exist.
Instead refer to gcc.info from the g++ info directory entry.
[bnc#922419]
- Include gcov-tool and gcov-dump binaries.

==== juk ====
Version update (17.04.1 -> 17.04.2)

- Update to 17.04.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
* None

==== kalarm ====
Version update (17.04.1 -> 17.04.2)
Subpackages: kalarm-lang

- Update to 17.04.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
* None

==== kalgebra ====
Version update (17.04.1 -> 17.04.2)
Subpackages: kalgebra-lang

- Update to 17.04.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
* None

==== kalzium ====
Version update (17.04.1 -> 17.04.2)
Subpackages: kalzium-lang

- Update to 17.04.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
* None

==== kanagram ====
Version update (17.04.1 -> 17.04.2)
Subpackages: kanagram-lang

- Update to 17.04.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
* None

==== katomic ====
Version update (17.04.1 -> 17.04.2)
Subpackages: katomic-lang

- Update to 17.04.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
* None

==== kblackbox ====
Version update (17.04.1 -> 17.04.2)
Subpackages: kblackbox-lang

- Update to 17.04.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
* None

==== kblocks ====
Version update (17.04.1 -> 17.04.2)
Subpackages: kblocks-lang

- Update to 17.04.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
* None

==== kbounce ====
Version update (17.04.1 -> 17.04.2)
Subpackages: kbounce-lang

- Update to 17.04.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
* None

==== kbreakout ====
Version update (17.04.1 -> 17.04.2)
Subpackages: kbreakout-lang

- Update to 17.04.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
* None

==== kbruch ====
Version update (17.04.1 -> 17.04.2)
Subpackages: kbruch-lang

- Update to 17.04.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
* None

==== kcachegrind ====
Version update (17.04.1 -> 17.04.2)
Subpackages: kcachegrind-lang

- Update to 17.04.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
* None

==== kcron ====
Version update (17.04.1 -> 17.04.2)
Subpackages: kcron-lang

- Update to 17.04.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
* None

==== kde-l10n ====
Version update (17.04.1 -> 17.04.2)
Subpackages: kde-l10n-cs kde-l10n-da kde-l10n-da-data kde-l10n-da-doc
kde-l10n-de kde-l10n-de-data kde-l10n-de-doc kde-l10n-el kde-l10n-en_GB
kde-l10n-en_GB-data kde-l10n-en_GB-doc kde-l10n-es kde-l10n-es-data
kde-l10n-es-doc kde-l10n-fr kde-l10n-fr-data kde-l10n-hu kde-l10n-it
kde-l10n-it-data kde-l10n-it-doc kde-l10n-ja kde-l10n-pl kde-l10n-pl-data
kde-l10n-pt kde-l10n-pt_BR kde-l10n-pt_BR-data kde-l10n-ru kde-l10n-ru-data
kde-l10n-zh_CN kde-l10n-zh_TW

* Update to 17.04.2

==== kde-print-manager ====
Version update (17.04.1 -> 17.04.2)

- Update to 17.04.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
* Fix moving print job to another printer (kde#378446)

==== kdeedu-data ====
Version update (17.04.1 -> 17.04.2)

- Update to 17.04.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
* None

==== kdegraphics-thumbnailers ====
Version update (17.04.1 -> 17.04.2)

- Update to 17.04.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
* None

==== kdesdk4-scripts ====
Version update (17.04.1 -> 17.04.2)

- Update to 17.04.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
* Fix regex in convert-kurl.pl
* Use absolute imports in GDB scripts

==== kdf ====
Version update (17.04.1 -> 17.04.2)
Subpackages: kdf-lang kwikdisk

- Update to 17.04.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
* None

==== kdiamond ====
Version update (17.04.1 -> 17.04.2)
Subpackages: kdiamond-lang

- Update to 17.04.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
* None

==== keditbookmarks ====
Version update (17.04.1 -> 17.04.2)

- Update to 17.04.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
* None

==== kfilereplace ====
Version update (17.04.1 -> 17.04.2)

- Update to 17.04.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
* None

==== kgeography ====
Version update (17.04.1 -> 17.04.2)
Subpackages: kgeography-lang

- Update to 17.04.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
* Duns and not Berwick was county town of Berwickshire

==== kgoldrunner ====
Version update (17.04.1 -> 17.04.2)

- Update to 17.04.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
* None

==== khangman ====
Version update (17.04.1 -> 17.04.2)
Subpackages: khangman-lang

- Update to 17.04.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
* None

==== kig ====
Version update (17.04.1 -> 17.04.2)
Subpackages: kig-lang

- Update to 17.04.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
* None

==== kimagemapeditor ====
Version update (17.04.1 -> 17.04.2)

- Update to 17.04.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
* None

==== kiriki ====
Version update (17.04.1 -> 17.04.2)
Subpackages: kiriki-lang

- Update to 17.04.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
* None

==== kiten ====
Version update (17.04.1 -> 17.04.2)
Subpackages: fonts-KanjiStrokeOrders kiten-lang

- Update to 17.04.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
* None

==== kjumpingcube ====
Version update (17.04.1 -> 17.04.2)
Subpackages: kjumpingcube-lang

- Update to 17.04.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
* None

==== klettres ====
Version update (17.04.1 -> 17.04.2)
Subpackages: klettres-lang

- Update to 17.04.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
* None

==== klinkstatus ====
Version update (17.04.1 -> 17.04.2)

- Update to 17.04.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
* None

==== kmahjongg ====
Version update (17.04.1 -> 17.04.2)

- Update to 17.04.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
* None

==== kmines ====
Version update (17.04.1 -> 17.04.2)

- Update to 17.04.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
* None

==== kmouth ====
Version update (17.04.1 -> 17.04.2)

- Update to 17.04.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
* None

==== kmplot ====
Version update (17.04.1 -> 17.04.2)
Subpackages: kmplot-lang

- Update to 17.04.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
* None

==== knavalbattle ====
Version update (17.04.1 -> 17.04.2)
Subpackages: knavalbattle-lang

- Update to 17.04.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
* None

==== knetwalk ====
Version update (17.04.1 -> 17.04.2)
Subpackages: knetwalk-lang

- Update to 17.04.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
* None

==== kolf ====
Version update (17.04.1 -> 17.04.2)

- Update to 17.04.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
* None

==== kollision ====
Version update (17.04.1 -> 17.04.2)
Subpackages: kollision-lang

- Update to 17.04.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
* None

==== konquest ====
Version update (17.04.1 -> 17.04.2)

- Update to 17.04.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
* None

==== kpat ====
Version update (17.04.1 -> 17.04.2)

- Update to 17.04.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
* None

==== kppp ====
Version update (17.04.1 -> 17.04.2)

- Update to 17.04.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
* None

==== krb5 ====
Subpackages: krb5-32bit krb5-client krb5-devel

- There is no change made about the package itself, this is only
copying over some changelog texts from SLE package:
- bug#918595 owned by varkoly@xxxxxxxx: VUL-0: CVE-2014-5355
krb5: denial of service in krb5_read_message
- bug#912002 owned by varkoly@xxxxxxxx: VUL-0
CVE-2014-5352, CVE-2014-9421, CVE-2014-9422, CVE-2014-9423:
krb5: Vulnerabilities in kadmind, libgssrpc, gss_process_context_token
- bug#910458 owned by varkoly@xxxxxxxx: VUL-1
CVE-2014-5354: krb5: NULL pointer dereference when using keyless entries
- bug#928978 owned by varkoly@xxxxxxxx: VUL-0
CVE-2015-2694: krb5: issues in OTP and PKINIT kdcpreauth modules leading
to requires_preauth bypass
- bug#910457 owned by varkoly@xxxxxxxx: VUL-1
CVE-2014-5353: krb5: NULL pointer dereference when using a ticket policy
name as a password policy name
- bug#991088 owned by hguo@xxxxxxxx: VUL-1
CVE-2016-3120: krb5: S4U2Self KDC crash when anon is restricted
- bug#992853 owned by hguo@xxxxxxxx: krb5: bogus prerequires
- [fate#320326](https://fate.suse.com/320326)
- bug#982313 owned by pgajdos@xxxxxxxx: Doxygen unable to resolve reference
from \cite

==== kremotecontrol ====
Version update (17.04.1 -> 17.04.2)
Subpackages: liblibkremotecontrol1

- Update to 17.04.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
* None

==== kreversi ====
Version update (17.04.1 -> 17.04.2)

- Update to 17.04.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
* None

==== kscd ====
Version update (17.04.1 -> 17.04.2)

- Update to 17.04.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
* None

==== kshisen ====
Version update (17.04.1 -> 17.04.2)
Subpackages: kshisen-lang

- Update to 17.04.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
* None

==== ksirk ====
Version update (17.04.1 -> 17.04.2)

- Update to 17.04.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
* None

==== kspaceduel ====
Version update (17.04.1 -> 17.04.2)

- Update to 17.04.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
* None

==== ksquares ====
Version update (17.04.1 -> 17.04.2)
Subpackages: ksquares-lang

- Update to 17.04.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
* None

==== ksudoku ====
Version update (17.04.1 -> 17.04.2)

- Update to 17.04.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
* None

==== ksystemlog ====
Version update (17.04.1 -> 17.04.2)
Subpackages: ksystemlog-lang

- Update to 17.04.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
* None

==== kteatime ====
Version update (17.04.1 -> 17.04.2)
Subpackages: kteatime-lang

- Update to 17.04.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
* None

==== ktimer ====
Version update (17.04.1 -> 17.04.2)
Subpackages: ktimer-lang

- Update to 17.04.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
* None

==== ktouch ====
Version update (17.04.1 -> 17.04.2)
Subpackages: ktouch-lang

- Update to 17.04.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
* None

==== ktuberling ====
Version update (17.04.1 -> 17.04.2)
Subpackages: ktuberling-lang

- Update to 17.04.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
* None

==== kturtle ====
Version update (17.04.1 -> 17.04.2)
Subpackages: kturtle-lang

- Update to 17.04.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
* None

==== kubrick ====
Version update (17.04.1 -> 17.04.2)

- Update to 17.04.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
* None

==== kwordquiz ====
Version update (17.04.1 -> 17.04.2)
Subpackages: kwordquiz-lang

- Update to 17.04.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
* None

==== libkdegames ====
Version update (17.04.1 -> 17.04.2)
Subpackages: kdegames-carddecks-default libkdegames-devel libkf5kdegames6

- Update to 17.04.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
* None

==== libkeduvocdocument ====
Version update (17.04.1 -> 17.04.2)
Subpackages: libKEduVocDocument5 libkeduvocdocument-lang

- Update to 17.04.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
* None

==== libkmahjongg ====
Version update (17.04.1 -> 17.04.2)
Subpackages: libKF5KMahjongglib5 libkmahjongg-devel

- Update to 17.04.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
* None

==== libsndfile ====
Subpackages: libsndfile-devel libsndfile1 libsndfile1-32bit

- Fix out-of-bounds read memory access in the aiff_read_chanmap()
(CVE-2017-6892, bsc#1043978):
0010-src-aiff.c-Fix-a-buffer-read-overflow.patch

==== lokalize ====
Version update (17.04.1 -> 17.04.2)
Subpackages: lokalize-lang

- Update to 17.04.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
* None

==== lskat ====
Version update (17.04.1 -> 17.04.2)

- Update to 17.04.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
* None

==== mbox-importer ====
Version update (17.04.1 -> 17.04.2)

- Update to 17.04.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
* None

==== okteta ====
Version update (17.04.1 -> 17.04.2)
Subpackages: okteta-devel okteta-lang

- Update to 17.04.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
* Bump version to 0.22.2
* Use explicit constructor call for QFlags-based types instead of blank 0
* Use Qt::NoItemFlags instead of blank 0
* Only register to D-Bus after inital commandline parsing has been done

==== parley ====
Version update (17.04.1 -> 17.04.2)
Subpackages: parley-lang

- Update to 17.04.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
* None

==== perl-DateTime ====
Version update (1.36 -> 1.43)

- updated to 1.43
see /usr/share/doc/packages/perl-DateTime/Changes
1.43 2017-05-29
- Added a small optimization for boolification overloading. Rather than
relying on a fallback to stringification, we now return true directly, which
is a little faster in cases like "if ($might_be_dt) { ... }".
- The datetime() method now accepts a single argument to use as the separate
between the date and time portion. This defaults to "T".
- updated to 1.42
see /usr/share/doc/packages/perl-DateTime/Changes
1.42 2016-12-25
- The DateTime::Duration->add and ->subtract methods now accept
DateTime::Duration objects. This used to work by accident, but this is now
done intentionally (with docs and tests). Reported by Petr Pisar. GitHub
[#50].
1.41 2016-11-16
- The DateTime->add and ->subtract methods now accept DateTime::Duration
objects. This used to work by accident, but this is now done intentionally
(with docs and tests). Based on PR #45 from Sam Kington.
1.40 2016-11-12
- Switched from RT to the GitHub issue tracker.
1.39 2016-09-17
- Bump minimum required Perl to 5.8.4 from 5.8.1. Looking at CPAN Testers,
this distro hasn't actually passed with earlier Perl versions since
1.35. I'm not explicitly testing with anything earlier than 5.8.8
1.38 2016-09-16
- This release includes changes from past trial releases to switch from
Params::Validate and Params::ValidationCompiler. Relevant release notes from
those trial releases are repeated here for clarity.
- Replaced Params::Validate with Params::ValidationCompiler and Specio. In my
benchmarks this makes constructing a new DateTime object about 14%
faster. However, it slows down module load time by about 100 milliseconds
(1/10 of a second) on my desktop system with a primed cache (so really
measuring compile time, not disk load time).
- When you pass a locale to $dt->set you will now get a warning suggesting you
should use $dt->set_locale instead. The previous trial releases didn't allow
locale to be passed at all, which broke a lot of modules. I've sent PRs, but
for now the parameter should be allowed (but discouraged). Reported by
Slaven Rezi?. RT #115420.
- Removed the long-deprecated DateTime->DefaultLanguage method. Use
DefaultLocale instead.
- Removed the long-deprecated "language" constructor parameter. Use "locale"
instead.
1.37 2016-08-14 (TRIAL RELEASE)
- Require the latest Params::ValidationCompiler (0.11).

==== pim-data-exporter ====
Version update (17.04.1 -> 17.04.2)

- Update to 17.04.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
* None

==== pim-sieve-editor ====
Version update (17.04.1 -> 17.04.2)

- Update to 17.04.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
* None

==== poxml ====
Version update (17.04.1 -> 17.04.2)
Subpackages: kde-l10n-devel poxml-lang

- Update to 17.04.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
* None

==== step ====
Version update (17.04.1 -> 17.04.2)
Subpackages: step-lang

- Update to 17.04.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
* None

==== umbrello ====
Version update (17.04.1 -> 17.04.2)

- Update to 17.04.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
* Fix 'Building Umbrello 2.21.90.89e79b8 with optional LLVM fails'.
(kde#379293)
* Fix 'umbrello/KF5 does not show the KF5 crash dialog'. (kde#374415)
* Add some error message to debug output in case of file saving fails.

==== virt-manager ====
Subpackages: virt-install virt-manager-common

- bsc#1042709 - unable to create VM with SLE4SAP SP1 over network
install
virtinst-fix-sle-distro-parsing.patch
- bsc#1027942 - virt-manager: Missing upstream bug fixes
f38c56c9-add-support-for-SMM-feature.patch
24f9d053-add-support-for-loader-secure-attribute.patch
4f8e795c-if-required-by-UEFI-enable-SMM-feature-and-set-q35-machine-type.patch
b690908a-enable-secure-feature-together-with-smm-for-UEFI.patch
- bsc#1027942 - virt-manager: Missing upstream bug fixes
93085d2b-reset-guest-domain-to-none-on-domain-creation-error.patch

==== vsftpd ====

- Conditionally install xinetd service only on older releases
* On current distributions we support the same functionality
via systemd socket activation
- Fix build against OpenSSL 1.1. Remove lock on 1.0.x libs
adds vsftpd-3.0.3-build-with-openssl-1.1.patch
(bsc#1042673)

==== xmms2 ====
Subpackages: libxmmsclient-glib1 libxmmsclient6 xmms2-plugin-base

- Add mpg123 plugin to base-plugins for Tumbleweed and newer via
conditional, mp3 support now included.


--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages